# eric4.Preferences.ConfigurationDialog

Module implementing a dialog for the configuration of eric4.

### Global Attributes

None

### Classes

ConfigurationDialog | Class for the dialog variant.
ConfigurationPageItem | Class implementing a QTreeWidgetItem holding the configuration page data.
ConfigurationWidget | Class implementing a dialog for the configuration of eric4.
ConfigurationWindow | Main window class for the standalone dialog.

### Functions

None

## ConfigurationDialog

Class for the dialog variant.

#### Signals

preferencesChanged
  emitted after settings have been changed

### Derived from

QDialog

### Class Attributes

None

### Methods

ConfigurationDialog | Constructor
__preferencesChanged | Private slot to handle a change of the preferences.
setPreferences | Public method called to store the selected values into the preferences storage.
showConfigurationPageByName | Public slot to show a named configuration page.

#### ConfigurationDialog (Constructor)

ConfigurationDialog(parent = None, name = None, modal = False, fromEric = True, helpBrowserMode = False)

Constructor

parent
  The parent widget of this dialog. (QWidget)
name
  The name of this dialog. (QString)
modal
  Flag indicating a modal dialog. (boolean)
fromEric=
  flag indicating a dialog generation from within the eric4 ide (boolean)
helpBrowserMode=
  flag indicating to show only help pages for entries related to the help browser (boolean)

#### ConfigurationDialog.__preferencesChanged

__preferencesChanged()

Private slot to handle a change of the preferences.

#### ConfigurationDialog.setPreferences

setPreferences()

Public method called to store the selected values into the preferences storage.

#### ConfigurationDialog.showConfigurationPageByName

showConfigurationPageByName(pageName)

Public slot to show a named configuration page.

pageName
  name of the configuration page to show (string or QString)

Up

## ConfigurationPageItem

Class implementing a QTreeWidgetItem holding the configuration page data.

### Derived from

QTreeWidgetItem

### Class Attributes

None

### Methods

ConfigurationPageItem | Constructor
getPageName | Public method to get the name of the associated configuration page.

#### ConfigurationPageItem (Constructor)

ConfigurationPageItem(parent, text, pageName, iconFile)

Constructor

parent
  parent widget of the item (QTreeWidget or QTreeWidgetItem)
text
  text to be displayed (string or QString)
pageName
  name of the configuration page (string or QString)
iconFile
  file name of the icon to be shown (string)

#### ConfigurationPageItem.getPageName

getPageName()

Public method to get the name of the associated configuration page.

Returns:
  name of the configuration page (string)

Up

## ConfigurationWidget

Class implementing a dialog for the configuration of eric4.

#### Signals

preferencesChanged
  emitted after settings have been changed

### Derived from

QWidget

### Class Attributes

None

### Methods

ConfigurationWidget | Constructor
__importConfigurationPage | Private method to import a configuration page module.
__initLexers | Private method to initialize the dictionary of preferences lexers.
__initPage | Private method to initialize a configuration page.
__setupUi | Private method to perform the general setup of the configuration widget.
__showConfigurationPage | Private slot to show a selected configuration page.
calledFromEric | Public method to check, if invoked from within eric.
getLexers | Public method to get a reference to the lexers dictionary.
getPage | Public method to get a reference to the named page.
on_applyButton_clicked | Private slot called to apply the settings of the current page.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_resetButton_clicked | Private slot called to reset the settings of the current page.
setPreferences | Public method called to store the selected values into the preferences storage.
showConfigurationPageByName | Public slot to show a named configuration page.

#### ConfigurationWidget (Constructor)

ConfigurationWidget(parent = None, fromEric = True, helpBrowserMode = False)

Constructor

parent
  The parent widget of this dialog. (QWidget)
fromEric=
  flag indicating a dialog generation from within the eric4 ide (boolean)
helpBrowserMode=
  flag indicating to show only help pages for entries related to the help browser (boolean)

#### ConfigurationWidget.__importConfigurationPage

__importConfigurationPage(name)

Private method to import a configuration page module.

name
  name of the configuration page module (string)

Returns:
  reference to the configuration page module

#### ConfigurationWidget.__initLexers

__initLexers()

Private method to initialize the dictionary of preferences lexers.

#### ConfigurationWidget.__initPage

__initPage(pageData)

Private method to initialize a configuration page.

pageData
  data structure for the page to initialize

Returns:
  reference to the initialized page

#### ConfigurationWidget.__setupUi

__setupUi()

Private method to perform the general setup of the configuration widget.

#### ConfigurationWidget.__showConfigurationPage

__showConfigurationPage(itm, column)

Private slot to show a selected configuration page.

itm
  reference to the selected item (QTreeWidgetItem)
column
  column that was selected (integer) (ignored)

#### ConfigurationWidget.calledFromEric

calledFromEric()

Public method to check, if invoked from within eric.

Returns:
  flag indicating invocation from within eric (boolean)

#### ConfigurationWidget.getLexers

getLexers()

Public method to get a reference to the lexers dictionary.

Returns:
  reference to the lexers dictionary

#### ConfigurationWidget.getPage

getPage(pageName)

Public method to get a reference to the named page.

pageName
  name of the configuration page (string)

Returns:
  reference to the page or None, indicating page was not loaded yet

#### ConfigurationWidget.on_applyButton_clicked

on_applyButton_clicked()

Private slot called to apply the settings of the current page.

#### ConfigurationWidget.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### ConfigurationWidget.on_resetButton_clicked

on_resetButton_clicked()

Private slot called to reset the settings of the current page.

#### ConfigurationWidget.setPreferences

setPreferences()

Public method called to store the selected values into the preferences storage.

#### ConfigurationWidget.showConfigurationPageByName

showConfigurationPageByName(pageName)

Public slot to show a named configuration page.

pageName
  name of the configuration page to show (string or QString)

Up

## ConfigurationWindow

Main window class for the standalone dialog.

### Derived from

KQMainWindow

### Class Attributes

None

### Methods

ConfigurationWindow | Constructor
accept | Protected slot called by the Ok button.
showConfigurationPageByName | Public slot to show a named configuration page.

#### ConfigurationWindow (Constructor)

ConfigurationWindow(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

#### ConfigurationWindow.accept

accept()

Protected slot called by the Ok button.

#### ConfigurationWindow.showConfigurationPageByName

showConfigurationPageByName(pageName)

Public slot to show a named configuration page.

pageName
  name of the configuration page to show (string or QString)

Up